SimpleXMLIterator::hasChildren
SimpleXMLIterator::next
SimpleXMLIterator
PHP Manual

# SimpleXMLIterator::key

(PHP 5 >= 5.1.0)

SimpleXMLIterator::key — Return current key

### Description

mixed SimpleXMLIterator::key ( void )

This method gets the XML tag name of the current element.

### Parameters

This function has no parameters.

### Return Values

Returns the XML tag name of the element referenced by the current SimpleXMLIterator object or `FALSE`

### Examples

Example #1 Get the current XML tag key

`<?php
$xmlIterator = new SimpleXMLIterator('<books><book>PHP basics</book><book>XML basics</book></books>');
echo var_dump($xmlIterator->key());
$xmlIterator->rewind(); // rewind to the first element
echo var_dump($xmlIterator->key());
?>`

The above example will output:

    bool(false)
    string(4) "book"

SimpleXMLIterator::hasChildren
SimpleXMLIterator::next
SimpleXMLIterator
PHP Manual